#pragma once

struct IDirect3DDevice8;



class CGameState
{

  public:


    CGameState();
    virtual ~CGameState();


    virtual void            Display( IDirect3DDevice8* pDevice ) = 0;

    virtual void            UpdateFrame( const float fElapsedTime ) = 0;

    virtual void            OnChar( int iChar )
    {
    }

    virtual void            OnKeyDown( int iChar )
    {
    }

    virtual void            OnMouse( int iX, int iY, int iButtons )
    {
    }

    virtual void            OnMouseWheel( int Delta )
    {
    }

};
